org.apache.maven.scm.provider.synergy.consumer

## Class SynergyGetWorkingProjectConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.synergy.consumer.SynergyGetWorkingProjectConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class SynergyGetWorkingProjectConsumer
    extends Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

Parse output of

      ccm wa -show -p <project_spec>

Version:
  $Id: SynergyGetWorkingProjectConsumer.java 691832 2008-09-03 23:54:44Z vsiveton $
Author:
  Julien Henry

### Constructor Summary

Constructors
Constructor and Description
`SynergyGetWorkingProjectConsumer(ScmLogger logger)`

### Method Summary

Methods
`void` `consumeLine(String line)`
`String` `getProjectSpec()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SynergyGetWorkingProjectConsumer

    public SynergyGetWorkingProjectConsumer(ScmLogger logger)

### Method Detail

#### consumeLine

    public void consumeLine(String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### getProjectSpec

    public String getProjectSpec()